package org.springblade.modules.bzdz.mapper;

import org.springblade.modules.bzdz.entity.BzdzEntity;
import org.springblade.modules.bzdz.vo.BzdzVO;
import org.springblade.modules.bzdz.excel.BzdzExcel;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.bzdz.vo.RlsqVO;
import org.springblade.modules.bzdz.vo.XzqhVO;

import java.util.List;
import java.util.Map;

/**
 * 楼栋标准地址 Mapper 接口
 *
 * @author BladeX
 * @since 2023-12-22
 */
public interface BzdzMapper extends BaseMapper<BzdzEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @return
	 */
	List<BzdzVO> selectBzdzPage(IPage page, @Param("params") Map<String, Object> params);


	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<BzdzExcel> exportBzdz(@Param("ew") Wrapper<BzdzEntity> queryWrapper);

    List<XzqhVO> getXzqh(@Param("params") Map<String, Object> params);

	List<RlsqVO> getXzqhPtTree(@Param("params") Map<String, Object> params);

	List<RlsqVO> getShi(@Param("params") Map<String, Object> params);

	List<RlsqVO> getQv(@Param("params") Map<String, Object> params);

	List<RlsqVO> getJd(@Param("params") Map<String, Object> params);

	List<RlsqVO> getSq(@Param("params") Map<String, Object> params, String jdid);
}
